<?php

    include("../../classes/database.class.php");
    include("../../classes/unidadeMedidaModel.class.php");
    include("../../classes/unidadeMedidaController.class.php");

    $nome = $_POST["nome"];
    $sigla = $_POST["sigla"];
    $tipo = $_POST["tipo"];
    $casaDecimal = $_POST["casaDecimal"];

    if($nome == ""){
        $nome = null;
    }
    if($sigla == ""){
        $sigla = null;
    }
    if($tipo == ""){
        $tipo = null;
    }
    if($casaDecimal == ""){
        $casaDecimal = null;
    }

    $modelo = new UnidadeMedidaController($nome, $sigla, $tipo, $casaDecimal);
    $id = $modelo->createUnidadeMedida();
    echo $id;